org.richfaces.component

## Class AbstractInputNumberSpinner

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIOutput
      - - javax.faces.component.UIInput
        - - org.richfaces.component.UIInputNumber
          - - org.richfaces.component.AbstractInputNumberSpinner

- All Implemented Interfaces:
    EventListener, javax.faces.component.EditableValueHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.ValueHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, AccesskeyProps, CoreProps, DisabledProps, EventsKeyProps, EventsMouseProps, FocusProps, I18nProps, InputProps
  Direct Known Subclasses:
    HtmlInputNumberSpinner

      public abstract class AbstractInputNumberSpinner
      extends UIInputNumber
      implements AccesskeyProps, CoreProps, EventsKeyProps, EventsMouseProps, FocusProps, I18nProps, InputProps

  The &lt;r:inputNumberSpinner&gt; component is a single-line input field with buttons to increase and decrease a numerical value. The value can be changed using the corresponding directional keys on a keyboard, or by typing into the field.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMPONENT_FAMILY`
    `static String` | `COMPONENT_TYPE`

    - ### Fields inherited from class javax.faces.component.UIInput

      `CONVERSION_MESSAGE_ID, REQUIRED_MESSAGE_ID, UPDATE_MESSAGE_ID, VALIDATE_EMPTY_FIELDS_PARAM_NAME`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractInputNumberSpinner()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract String` | `getInputClass()` Assigns one or more space-separated CSS class names to the component input field
    `abstract InputNumberSliderInputPosition` | `getInputPosition()` If "right", the InputText Box would be rendered on the right side of the ruler.
    `abstract int` | `getInputSize()` Attribute specifies the initial length of input in characters.
    `abstract String` | `getMaxValue()` Attribute to set an "end" value.
    `abstract String` | `getMinValue()` Attribute to set the "start" value.
    `abstract String` | `getOndownclick()` The client-side script method to be called when the 'Down' button is clicked
    `abstract String` | `getOninputclick()` The client-side script method to be called when the component input field is clicked
    `abstract String` | `getOninputdblclick()` The client-side script method to be called when the component input field is double-clicked
    `abstract String` | `getOninputkeydown()` The client-side script method to be called when a key is pressed down in the input field
    `abstract String` | `getOninputkeypress()` The client-side script method to be called when a key is pressed and released in the input field
    `abstract String` | `getOninputkeyup()` The client-side script method to be called when a key is released in the input field
    `abstract String` | `getOninputmousedown()` The client-side script method to be called when a mouse button is pressed down in the input field
    `abstract String` | `getOninputmousemove()` The client-side script method to be called when a pointer is moved within the input field
    `abstract String` | `getOninputmouseout()` The client-side script method to be called when a pointer is moved away from the input field
    `abstract String` | `getOninputmouseover()` The client-side script method to be called when a pointer is moved onto the input field
    `abstract String` | `getOninputmouseup()` The client-side script method to be called when a mouse button is released
    `abstract String` | `getOnupclick()` The client-side script method to be called when the 'Up' button is clicked
    `abstract String` | `getStep()` Parameter that determines the step between nearest values while using controls.
    `abstract boolean` | `isCycled()` If "true" after the current value reaches the border value it is reversed to another border value after next increasing/decreasing.
    `abstract boolean` | `isEnableManualInput()` If set to "false" this attribute makes the text field "read-only", so the value can be changed only from a handle.
    `abstract boolean` | `isReadonly()` Flag indicating that this component will prohibit changes by the user.

    - ### Methods inherited from class org.richfaces.component.UIInputNumber

      `validateValue`

    - ### Methods inherited from class javax.faces.component.UIInput

      `addValidator, addValueChangeListener, broadcast, clearInitialState, compareValues, decode, getConvertedValue, getConverterMessage, getFamily, getRequiredMessage, getSubmittedValue, getValidator, getValidatorMessage, getValidators, getValue, getValueChangeListener, getValueChangeListeners, isEmpty, isImmediate, isLocalValueSet, isRequired, isValid, markInitialState, processDecodes, processUpdates, processValidators, removeValidator, removeValueChangeListener, resetValue, restoreState, saveState, setConverterMessage, setImmediate, setLocalValueSet, setRequired, setRequiredMessage, setSubmittedValue, setValid, setValidator, setValidatorMessage, setValue, setValueChangeListener, updateModel, validate`

    - ### Methods inherited from class javax.faces.component.UIOutput

      `getConverter, getLocalValue, setConverter`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, encodeAll, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getPassThroughAttributes, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processRestoreState, processSaveState, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, visitTree`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getListenersForEventClass, getNamingContainer, getPassThroughAttributes, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.richfaces.component.attribute.AccesskeyProps

      `getAccesskey`

    - ### Methods inherited from interface org.richfaces.component.attribute.CoreProps

      `getStyle, getStyleClass, getTitle`

    - ### Methods inherited from interface org.richfaces.component.attribute.EventsKeyProps

      `getOnkeydown, getOnkeypress, getOnkeyup`

    - ### Methods inherited from interface org.richfaces.component.attribute.EventsMouseProps

      `getOnclick, getOndblclick, getOnmousedown, getOnmousemove, getOnmouseout, getOnmouseover, getOnmouseup`

    - ### Methods inherited from interface org.richfaces.component.attribute.FocusProps

      `getOnblur, getOnfocus, getTabindex`

    - ### Methods inherited from interface org.richfaces.component.attribute.I18nProps

      `getDir, getLang`

    - ### Methods inherited from interface org.richfaces.component.attribute.InputProps

      `getLabel, getOnchange, getOnselect`

    - ### Methods inherited from interface org.richfaces.component.attribute.DisabledProps

      `isDisabled`

    - ### Methods inherited from interface javax.faces.component.ValueHolder

      `getConverter, getLocalValue, setConverter`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### COMPONENT_FAMILY

          public static final String COMPONENT_FAMILY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AbstractInputNumberSpinner

          public AbstractInputNumberSpinner()

  - ### Method Detail

    - #### isReadonly

          public abstract boolean isReadonly()

      Description copied from interface: `InputProps`
      Flag indicating that this component will prohibit changes by the user. The element may receive focus unless it has also been disabled. A value of false causes no attribute to be rendered, while a value of true causes the attribute to be rendered as readonly="readonly".
      Specified by:
        `isReadonly` in interface `InputProps`

    - #### isCycled

          public abstract boolean isCycled()

      If "true" after the current value reaches the border value it is reversed to another border value after next increasing/decreasing. In other case possibilities of next increasing (or decreasing) will be locked.
      Default value is " true ".

    - #### isEnableManualInput

          public abstract boolean isEnableManualInput()

      If set to "false" this attribute makes the text field "read-only", so the value can be changed only from a handle. <br />Default value is "true".

    - #### getInputClass

          public abstract String getInputClass()

      Assigns one or more space-separated CSS class names to the component input field

    - #### getInputPosition

          public abstract InputNumberSliderInputPosition getInputPosition()

      If "right", the InputText Box would be rendered on the right side of the ruler. If "left", the InputText Box would be rendered on the left side of the ruler. If "top", the InputText Box would be rendered on the top of the ruler. If "bottom", the InputText Box would be rendered on the bottom of the ruler.

    - #### getInputSize

          public abstract int getInputSize()

      Attribute specifies the initial length of input in characters.
      Default value is "10".

    - #### getMaxValue

          public abstract String getMaxValue()

      Attribute to set an "end" value.
      Default value is "100"

    - #### getMinValue

          public abstract String getMinValue()

      Attribute to set the "start" value.
      Default value is "0"

    - #### getOndownclick

          public abstract String getOndownclick()

      The client-side script method to be called when the 'Down' button is clicked

    - #### getOninputclick

          public abstract String getOninputclick()

      The client-side script method to be called when the component input field is clicked

    - #### getOninputdblclick

          public abstract String getOninputdblclick()

      The client-side script method to be called when the component input field is double-clicked

    - #### getOninputkeydown

          public abstract String getOninputkeydown()

      The client-side script method to be called when a key is pressed down in the input field

    - #### getOninputkeypress

          public abstract String getOninputkeypress()

      The client-side script method to be called when a key is pressed and released in the input field

    - #### getOninputkeyup

          public abstract String getOninputkeyup()

      The client-side script method to be called when a key is released in the input field

    - #### getOninputmousedown

          public abstract String getOninputmousedown()

      The client-side script method to be called when a mouse button is pressed down in the input field

    - #### getOninputmousemove

          public abstract String getOninputmousemove()

      The client-side script method to be called when a pointer is moved within the input field

    - #### getOninputmouseout

          public abstract String getOninputmouseout()

      The client-side script method to be called when a pointer is moved away from the input field

    - #### getOninputmouseover

          public abstract String getOninputmouseover()

      The client-side script method to be called when a pointer is moved onto the input field

    - #### getOninputmouseup

          public abstract String getOninputmouseup()

      The client-side script method to be called when a mouse button is released

    - #### getOnupclick

          public abstract String getOnupclick()

      The client-side script method to be called when the 'Up' button is clicked

    - #### getStep

          public abstract String getStep()

      Parameter that determines the step between nearest values while using controls.
      Default value is "1"

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.